Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface RowSetInternal

public interface RowSetInternal

A rowset object presents itself to a reader or writer as an instance of RowSetInternal. The RowSetInternal interface contains additional methods that let the reader or writer access and modify the internal state of the rowset.

Method Summary
`Connection` | `getConnection()` Get the Connection passed to the rowset.
`ResultSet` | `getOriginal()` Returns a result set containing the original value of the rowset.
`ResultSet` | `getOriginalRow()` Returns a result set containing the original value of the current row.
`Object[]` | `getParams()` Get the parameters that were set on the rowset.
`void` | `setMetaData(RowSetMetaData rowSetMetaData)` Set the rowset's metadata.

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Get the Connection passed to the rowset.

  Returns:
    the Connection passed to the rowset, or null if none
  Throws:
    `SQLException` - - if a database-access error occurs.

### getOriginal

    public ResultSet getOriginal()
                          throws SQLException

  Returns a result set containing the original value of the rowset. The cursor is positioned before the first row in the result set. Only rows contained in the result set returned by getOriginal() are said to have an original value.

  Returns:
    the original value of the rowset
  Throws:
    `SQLException` - - if a database-access error occurs.

### getOriginalRow

    public ResultSet getOriginalRow()
                             throws SQLException

  Returns a result set containing the original value of the current row. If the current row has no original value an empty result set is returned. If there is no current row a SQLException is thrown.

  Returns:
    the original value of the row
  Throws:
    `SQLException` - - if a database-access error occurs.

### getParams

    public Object[] getParams()
                       throws SQLException

  Get the parameters that were set on the rowset.

  Returns:
    an array of parameters
  Throws:
    `SQLException` - - if a database-access error occurs.

### setMetaData

    public void setMetaData(RowSetMetaData rowSetMetaData)
                     throws SQLException

  Set the rowset's metadata.

  Parameters:
    `rowSetMetaData` - - metadata object
  Throws:
    `SQLException` - - if a database-access error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.